Google 會運用 AI 技術將內容翻譯成你偏好的語言,但可能會出錯。
Method: projects.locations.instances.rescheduleMaintenance
透過集合功能整理內容
你可以依據偏好儲存及分類內容。
HTTP 要求
POST https://memorystore.googleapis.com/v1beta/{name=projects/*/locations/*/instances/*}:rescheduleMaintenance
這些網址使用 gRPC 轉碼語法。
路徑參數
| 參數 |
name |
string
這是必要旗標,要重新安排維護時間的執行個體名稱:projects/{project}/locations/{locationId}/instances/{instance}
|
要求主體
要求主體包含下列結構的資料:
| JSON 表示法 |
{
"rescheduleType": enum (RescheduleType),
"scheduleTime": string
} |
| 欄位 |
rescheduleType |
enum (RescheduleType)
這是必要旗標,如果重新安排時間類型為 SPECIFIC_TIME,則必須設定 scheduleTime。
|
scheduleTime |
string (Timestamp format)
選用。如果 rescheduleType=SPECIFIC_TIME,則為維護作業重新排定的時間戳記,格式為 RFC 3339。範例:2012-11-15T16:19:00.094Z。 使用 RFC 3339,產生的輸出內容一律會經過 Z 正規化,並使用 0、3、6 或 9 個小數位數,也接受「Z」以外的偏移量。範例:"2014-10-02T15:01:23Z"、"2014-10-02T15:01:23.045123456Z" 或 "2014-10-02T15:01:23+05:30"。
|
回應主體
如果成功,回應主體會包含 Operation 的執行個體。
授權範圍
需要下列其中一種 OAuth 範圍:
https://www.googleapis.com/auth/cloud-platform
https://www.googleapis.com/auth/memorystore.read-write
RescheduleType
| 列舉 |
RESCHEDULE_TYPE_UNSPECIFIED |
未設定。 |
IMMEDIATE |
如果使用者想立即安排維護作業。 |
SPECIFIC_TIME |
如果使用者想將維護作業重新安排到特定時間。 |
除非另有註明,否則本頁面中的內容是採用創用 CC 姓名標示 4.0 授權,程式碼範例則為阿帕契 2.0 授權。詳情請參閱《Google Developers 網站政策》。Java 是 Oracle 和/或其關聯企業的註冊商標。
上次更新時間:2026-09-28 (世界標準時間)。
[[["容易理解","easyToUnderstand","thumb-up"],["確實解決了我的問題","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["難以理解","hardToUnderstand","thumb-down"],["資訊或程式碼範例有誤","incorrectInformationOrSampleCode","thumb-down"],["缺少我需要的資訊/範例","missingTheInformationSamplesINeed","thumb-down"],["翻譯問題","translationIssue","thumb-down"],["其他","otherDown","thumb-down"]],["上次更新時間:2026-09-28 (世界標準時間)。"],[],[]]